@import url("https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900");

body {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: linear-gradient(50deg, #24006b, #f42f8c);
}

.container {
  width: 1200px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-gap: 15px;
  margin: 0 auto;
  .card {
    position: relative;
    width: 300px;
    height: 400px;
    margin: 0 auto;
    background: #fff;
    box-shadow: 0 15px 60px rgba(0, 0, 0, 0.5);
    .face {
      position: absolute;
      left: 0;
      bottom: 0;
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      &.face1 {
        box-sizing: border-box;
        padding: 20px;
        h2 {
          margin: 0;
          padding: 0;
        }
      }
      &.face2 {
        background: #111;
        transition: 0.5s;
        h2 {
          margin: 0;
          padding: 0;
          font-size: 10em;
          color: #fff;
          transition: 0.5s;
          text-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
        }
        &:before {
          content: "";
          position: absolute;
          top: 0;
          left: 0;
          width: 50%;
          height: 100%;
          background: rgba(255, 255, 255, 0.1);
        }
      }
    }
    &:nth-child(1) .face.face2 {
      background: linear-gradient(45deg, #3503ad, #f7308c);
    }
    &:nth-child(2) .face.face2 {
      background: linear-gradient(45deg, #ccff00, #09afff);
    }
    &:nth-child(3) .face.face2 {
      background: linear-gradient(45deg, #e91e63, #ffeb3b);
    }
    &:hover .face.face2 {
      height: 60px;
      h2 {
        font-size: 2em;
      }
    }
  }
}
